Freeciv-3.3: loaddata Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
loaddata Struct Reference

`#include <savecompat.h>`

## Data Fields

struct section_file * | file
const char * | secfile_options
int | version
int | full_version
struct { |
const char ** order |
size_t size |
} | counter |
struct { |
const char ** order |
size_t size |
} | improvement |
struct { |
const char ** order |
size_t size |
} | technology |
struct { |
const char ** order |
size_t size |
} | activities |
struct { |
const char ** order |
size_t size |
} | trait |
struct { |
struct extra_type ** order |
size_t size |
} | extra |
struct { |
struct multiplier ** order |
size_t size |
} | multiplier |
struct { |
enum tile_special_type * order |
size_t size |
} | special |
struct { |
struct base_type ** order |
size_t size |
} | base |
struct { |
struct road_type ** order |
size_t size |
} | road |
struct { |
struct specialist ** order |
size_t size |
} | specialist |
struct { |
enum diplstate_type * order |
size_t size |
} | ds_t |
struct { |
action_id * order |
size_t size |
} | action |
struct { |
enum action_decision * order |
size_t size |
} | act_dec |
struct { |
enum server_side_agent * order |
size_t size |
} | ssa |
struct { |
enum city_options * order |
size_t size |
} | coptions |
enum server_states | server_state
RANDOM_STATE | rstate
int * | worked_tiles

## Detailed Description

Definition at line 47 of file savecompat.h.

## Field Documentation

## ◆ [struct]

struct { ... } loaddata::act_dec

## ◆ [struct]

struct { ... } loaddata::action

## ◆ [struct]

struct { ... } loaddata::activities

## ◆ [struct]

struct { ... } loaddata::base

## ◆ [struct]

struct { ... } loaddata::coptions

## ◆ [struct]

struct { ... } loaddata::counter

## ◆ [struct]

struct { ... } loaddata::ds_t

## ◆ [struct]

struct { ... } loaddata::extra

## ◆ file

struct section_file* loaddata::file

Definition at line 48 of file savecompat.h.

Referenced by loaddata_new(), loaddata_new(), savegame2_load(), savegame3_load(), and worklist_load().

## ◆ full_version

int loaddata::full_version

Definition at line 51 of file savecompat.h.

## ◆ [struct]

struct { ... } loaddata::improvement

## ◆ [struct]

struct { ... } loaddata::multiplier

## ◆ order [1/12]

const char** loaddata::order

Definition at line 54 of file savecompat.h.

Referenced by char2order().

## ◆ order [2/12]

struct extra_type** loaddata::order

Definition at line 79 of file savecompat.h.

## ◆ order [3/12]

struct multiplier** loaddata::order

Definition at line 84 of file savecompat.h.

## ◆ order [4/12]

enum tile_special_type* loaddata::order

Definition at line 90 of file savecompat.h.

## ◆ order [5/12]

struct base_type** loaddata::order

Definition at line 96 of file savecompat.h.

## ◆ order [6/12]

struct road_type** loaddata::order

Definition at line 102 of file savecompat.h.

## ◆ order [7/12]

struct specialist** loaddata::order

Definition at line 107 of file savecompat.h.

## ◆ order [8/12]

enum diplstate_type* loaddata::order

Definition at line 113 of file savecompat.h.

## ◆ order [9/12]

action_id* loaddata::order

Definition at line 118 of file savecompat.h.

## ◆ order [10/12]

enum action_decision* loaddata::order

Definition at line 123 of file savecompat.h.

## ◆ order [11/12]

enum server_side_agent* loaddata::order

Definition at line 128 of file savecompat.h.

## ◆ order [12/12]

enum city_options* loaddata::order

Definition at line 132 of file savecompat.h.

## ◆ [struct]

struct { ... } loaddata::road

## ◆ rstate

RANDOM_STATE loaddata::rstate

Definition at line 140 of file savecompat.h.

## ◆ secfile_options

const char* loaddata::secfile_options

Definition at line 49 of file savecompat.h.

## ◆ server_state

enum server_states loaddata::server_state

Definition at line 137 of file savecompat.h.

## ◆ size

size_t loaddata::size

Definition at line 55 of file savecompat.h.

## ◆ [struct]

struct { ... } loaddata::special

## ◆ [struct]

struct { ... } loaddata::specialist

## ◆ [struct]

struct { ... } loaddata::ssa

## ◆ [struct]

struct { ... } loaddata::technology

## ◆ [struct]

struct { ... } loaddata::trait

## ◆ version

int loaddata::version

Definition at line 50 of file savecompat.h.

## ◆ worked_tiles

int* loaddata::worked_tiles

Definition at line 143 of file savecompat.h.